# Pan Gst Link

The purpose of PAN GST link verification is to ensure that the end user's PAN (Permanent Account Number) and GSTIN (Goods and Services Tax Identification Number) are linked and valid. This verification process helps in preventing fraud and ensuring compliance with the tax laws.

### Submit Document

### ind\_pan\_gst\_link

`POST` `https://secctrl.tutelar.io/api/v1/kyc/merchant/ind_pan_gst_link`

#### Post parameters description is given below,

| Post Parameter | Type   | Is Mandatory | Description             |
| -------------- | ------ | -----------: | ----------------------- |
| pan\_number    | String |          Yes | Your Campany Pan Number |

#### Sample Post Parameters

```json
{
    "pan_number": "AAJCT3251A"
}
```

200: Success Response

200: InProgress Response

400: Validation Error Response

200: Failure Response

```json
{
    "success": true,
    "status_code": 200,
    "message": "Document verification completed successfully.",
    "status": "completed",
    "reference_id": "a2a8dee4-571d-46e3-9117-1cae23906c3c",
    "result": {
        "gst_associated_with_pan": true,
        "gst_details": [\
            {\
                "gst_number": "33AAJCT3251A1ZU",\
                "gstin_status": "Active",\
                "state": "Tamil Nadu"\
            }\
        ]
    },
    "requested_at": "2023-09-22T10:34:49.375Z",
    "completed_at": "2023-09-22T16:04:50+05:30"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "e1f69bfc-8a32-4c56-86bf-cf0ee7f1ff23",
    "status": "in_progress",
    "requested_at": "2024-04-18T11:57:54.003Z"
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid PAN Number",
        "field": "pan_number",
        "code": "BAD_REQUEST"
    }
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "6f081576-1076-4a80-b626-c0411b56a49b",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T11:37:58.214Z",
    "completed_at": "2024-04-18T11:37:59.000Z"
}
```

### Check Document Status

### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/merchant/ind_pan_gst_link`

#### Query parameters description is given below,

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | -----------: | --------------------- |
| reference\_id   | String |          Yes | Document reference id |

200: Success Response

200: InProgress Response

200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "b70d5a5a-7f42-438d-98d2-448615c27227",
    "status": "completed",
    "result": {
        "gst_associated_with_pan": true,
        "gst_details": [\
            {\
                "gst_number": "33AAJCT3251A1ZU",\
                "gstin_status": "Inactive",\
                "state": "Tamil Nadu"\
            }\
        ]
    },
    "requested_at": "2024-04-18T12:48:57.649Z",
    "completed_at": "2024-04-18T12:49:00.000Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "e1f69bfc-8a32-4c56-86bf-cf0ee7f1ff23",
    "status": "in_progress",
    "requested_at": "2024-04-18T11:57:54.003Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "6f081576-1076-4a80-b626-c0411b56a49b",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T11:37:58.214Z",
    "completed_at": "2024-04-18T11:37:59.000Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/pan-gst-link.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
